// <auto-generated>
//     Generated by the protocol buffer compiler.  DO NOT EDIT!
//     source: command/charger/SetChargingProfile.proto
// </auto-generated>
#pragma warning disable 1591, 0612, 3021, 8981
#region Designer generated code

using pb = global::Google.Protobuf;
using pbc = global::Google.Protobuf.Collections;
using pbr = global::Google.Protobuf.Reflection;
using scg = global::System.Collections.Generic;
namespace SetChargingProfile {

  /// <summary>Holder for reflection information generated from command/charger/SetChargingProfile.proto</summary>
  public static partial class SetChargingProfileReflection {

    #region Descriptor
    /// <summary>File descriptor for command/charger/SetChargingProfile.proto</summary>
    public static pbr::FileDescriptor Descriptor {
      get { return descriptor; }
    }
    private static pbr::FileDescriptor descriptor;

    static SetChargingProfileReflection() {
      byte[] descriptorData = global::System.Convert.FromBase64String(
          string.Concat(
            "Cihjb21tYW5kL2NoYXJnZXIvU2V0Q2hhcmdpbmdQcm9maWxlLnByb3RvEhRz",
            "ZXRfY2hhcmdpbmdfcHJvZmlsZRolY29tbWFuZC9jaGFyZ2VyL0NoYXJnaW5n",
            "UHJvZmlsZS5wcm90byJyChlTZXRDaGFyZ2luZ1Byb2ZpbGVDb21tYW5kEhQK",
            "DGNvbm5lY3Rvcl9pZBgBIAEoBRI/ChRjc19jaGFyZ2luZ19wcm9maWxlcxgE",
            "IAEoCzIhLmNoYXJnaW5nX3Byb2ZpbGUuQ2hhcmdpbmdQcm9maWxlIskBCiFT",
            "ZXRDaGFyZ2luZ1Byb2ZpbGVDb21tYW5kUmVzcG9uc2USXQoGc3RhdHVzGAEg",
            "ASgOMk0uc2V0X2NoYXJnaW5nX3Byb2ZpbGUuU2V0Q2hhcmdpbmdQcm9maWxl",
            "Q29tbWFuZFJlc3BvbnNlLkNoYXJnaW5nUHJvZmlsZVN0YXR1cyJFChVDaGFy",
            "Z2luZ1Byb2ZpbGVTdGF0dXMSDAoIQWNjZXB0ZWQQABIMCghSZWplY3RlZBAB",
            "EhAKDE5vdFN1cHBvcnRlZBACQpABCiFjb20uY29kaWJseS5tb2RlbC5jb21t",
            "YW5kLmNoYXJnZXJCF1NldENoYXJnaW5nUHJvZmlsZVByb3RvygIhRG9tYWlu",
            "TW9kZWxcUHJvdG9cQ29tbWFuZFxDaGFyZ2Vy4gItRG9tYWluTW9kZWxcUHJv",
            "dG9cQ29tbWFuZFxDaGFyZ2VyXEdQQk1ldGFkYXRhYgZwcm90bzM="));
      descriptor = pbr::FileDescriptor.FromGeneratedCode(descriptorData,
          new pbr::FileDescriptor[] { global::ChargingProfile.ChargingProfileReflection.Descriptor, },
          new pbr::GeneratedClrTypeInfo(null, null, new pbr::GeneratedClrTypeInfo[] {
            new pbr::GeneratedClrTypeInfo(typeof(global::SetChargingProfile.SetChargingProfileCommand), global::SetChargingProfile.SetChargingProfileCommand.Parser, new[]{ "ConnectorId", "CsChargingProfiles" }, null, null, null, null),
            new pbr::GeneratedClrTypeInfo(typeof(global::SetChargingProfile.SetChargingProfileCommandResponse), global::SetChargingProfile.SetChargingProfileCommandResponse.Parser, new[]{ "Status" }, null, new[]{ typeof(global::SetChargingProfile.SetChargingProfileCommandResponse.Types.ChargingProfileStatus) }, null, null)
          }));
    }
    #endregion

  }
  #region Messages
  public sealed partial class SetChargingProfileCommand : pb::IMessage<SetChargingProfileCommand>
  #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      , pb::IBufferMessage
  #endif
  {
    private static readonly pb::MessageParser<SetChargingProfileCommand> _parser = new pb::MessageParser<SetChargingProfileCommand>(() => new SetChargingProfileCommand());
    private pb::UnknownFieldSet _unknownFields;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pb::MessageParser<SetChargingProfileCommand> Parser { get { return _parser; } }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pbr::MessageDescriptor Descriptor {
      get { return global::SetChargingProfile.SetChargingProfileReflection.Descriptor.MessageTypes[0]; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    pbr::MessageDescriptor pb::IMessage.Descriptor {
      get { return Descriptor; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public SetChargingProfileCommand() {
      OnConstruction();
    }

    partial void OnConstruction();

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public SetChargingProfileCommand(SetChargingProfileCommand other) : this() {
      connectorId_ = other.connectorId_;
      csChargingProfiles_ = other.csChargingProfiles_ != null ? other.csChargingProfiles_.Clone() : null;
      _unknownFields = pb::UnknownFieldSet.Clone(other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public SetChargingProfileCommand Clone() {
      return new SetChargingProfileCommand(this);
    }

    /// <summary>Field number for the "connector_id" field.</summary>
    public const int ConnectorIdFieldNumber = 1;
    private int connectorId_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public int ConnectorId {
      get { return connectorId_; }
      set {
        connectorId_ = value;
      }
    }

    /// <summary>Field number for the "cs_charging_profiles" field.</summary>
    public const int CsChargingProfilesFieldNumber = 4;
    private global::ChargingProfile.ChargingProfile csChargingProfiles_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public global::ChargingProfile.ChargingProfile CsChargingProfiles {
      get { return csChargingProfiles_; }
      set {
        csChargingProfiles_ = value;
      }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override bool Equals(object other) {
      return Equals(other as SetChargingProfileCommand);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool Equals(SetChargingProfileCommand other) {
      if (ReferenceEquals(other, null)) {
        return false;
      }
      if (ReferenceEquals(other, this)) {
        return true;
      }
      if (ConnectorId != other.ConnectorId) return false;
      if (!object.Equals(CsChargingProfiles, other.CsChargingProfiles)) return false;
      return Equals(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override int GetHashCode() {
      int hash = 1;
      if (ConnectorId != 0) hash ^= ConnectorId.GetHashCode();
      if (csChargingProfiles_ != null) hash ^= CsChargingProfiles.GetHashCode();
      if (_unknownFields != null) {
        hash ^= _unknownFields.GetHashCode();
      }
      return hash;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override string ToString() {
      return pb::JsonFormatter.ToDiagnosticString(this);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void WriteTo(pb::CodedOutputStream output) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      output.WriteRawMessage(this);
    #else
      if (ConnectorId != 0) {
        output.WriteRawTag(8);
        output.WriteInt32(ConnectorId);
      }
      if (csChargingProfiles_ != null) {
        output.WriteRawTag(34);
        output.WriteMessage(CsChargingProfiles);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(output);
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalWriteTo(ref pb::WriteContext output) {
      if (ConnectorId != 0) {
        output.WriteRawTag(8);
        output.WriteInt32(ConnectorId);
      }
      if (csChargingProfiles_ != null) {
        output.WriteRawTag(34);
        output.WriteMessage(CsChargingProfiles);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(ref output);
      }
    }
    #endif

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public int CalculateSize() {
      int size = 0;
      if (ConnectorId != 0) {
        size += 1 + pb::CodedOutputStream.ComputeInt32Size(ConnectorId);
      }
      if (csChargingProfiles_ != null) {
        size += 1 + pb::CodedOutputStream.ComputeMessageSize(CsChargingProfiles);
      }
      if (_unknownFields != null) {
        size += _unknownFields.CalculateSize();
      }
      return size;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(SetChargingProfileCommand other) {
      if (other == null) {
        return;
      }
      if (other.ConnectorId != 0) {
        ConnectorId = other.ConnectorId;
      }
      if (other.csChargingProfiles_ != null) {
        if (csChargingProfiles_ == null) {
          CsChargingProfiles = new global::ChargingProfile.ChargingProfile();
        }
        CsChargingProfiles.MergeFrom(other.CsChargingProfiles);
      }
      _unknownFields = pb::UnknownFieldSet.MergeFrom(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(pb::CodedInputStream input) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      input.ReadRawMessage(this);
    #else
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, input);
            break;
          case 8: {
            ConnectorId = input.ReadInt32();
            break;
          }
          case 34: {
            if (csChargingProfiles_ == null) {
              CsChargingProfiles = new global::ChargingProfile.ChargingProfile();
            }
            input.ReadMessage(CsChargingProfiles);
            break;
          }
        }
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalMergeFrom(ref pb::ParseContext input) {
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, ref input);
            break;
          case 8: {
            ConnectorId = input.ReadInt32();
            break;
          }
          case 34: {
            if (csChargingProfiles_ == null) {
              CsChargingProfiles = new global::ChargingProfile.ChargingProfile();
            }
            input.ReadMessage(CsChargingProfiles);
            break;
          }
        }
      }
    }
    #endif

  }

  public sealed partial class SetChargingProfileCommandResponse : pb::IMessage<SetChargingProfileCommandResponse>
  #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      , pb::IBufferMessage
  #endif
  {
    private static readonly pb::MessageParser<SetChargingProfileCommandResponse> _parser = new pb::MessageParser<SetChargingProfileCommandResponse>(() => new SetChargingProfileCommandResponse());
    private pb::UnknownFieldSet _unknownFields;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pb::MessageParser<SetChargingProfileCommandResponse> Parser { get { return _parser; } }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pbr::MessageDescriptor Descriptor {
      get { return global::SetChargingProfile.SetChargingProfileReflection.Descriptor.MessageTypes[1]; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    pbr::MessageDescriptor pb::IMessage.Descriptor {
      get { return Descriptor; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public SetChargingProfileCommandResponse() {
      OnConstruction();
    }

    partial void OnConstruction();

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public SetChargingProfileCommandResponse(SetChargingProfileCommandResponse other) : this() {
      status_ = other.status_;
      _unknownFields = pb::UnknownFieldSet.Clone(other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public SetChargingProfileCommandResponse Clone() {
      return new SetChargingProfileCommandResponse(this);
    }

    /// <summary>Field number for the "status" field.</summary>
    public const int StatusFieldNumber = 1;
    private global::SetChargingProfile.SetChargingProfileCommandResponse.Types.ChargingProfileStatus status_ = global::SetChargingProfile.SetChargingProfileCommandResponse.Types.ChargingProfileStatus.Accepted;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public global::SetChargingProfile.SetChargingProfileCommandResponse.Types.ChargingProfileStatus Status {
      get { return status_; }
      set {
        status_ = value;
      }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override bool Equals(object other) {
      return Equals(other as SetChargingProfileCommandResponse);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool Equals(SetChargingProfileCommandResponse other) {
      if (ReferenceEquals(other, null)) {
        return false;
      }
      if (ReferenceEquals(other, this)) {
        return true;
      }
      if (Status != other.Status) return false;
      return Equals(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override int GetHashCode() {
      int hash = 1;
      if (Status != global::SetChargingProfile.SetChargingProfileCommandResponse.Types.ChargingProfileStatus.Accepted) hash ^= Status.GetHashCode();
      if (_unknownFields != null) {
        hash ^= _unknownFields.GetHashCode();
      }
      return hash;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override string ToString() {
      return pb::JsonFormatter.ToDiagnosticString(this);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void WriteTo(pb::CodedOutputStream output) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      output.WriteRawMessage(this);
    #else
      if (Status != global::SetChargingProfile.SetChargingProfileCommandResponse.Types.ChargingProfileStatus.Accepted) {
        output.WriteRawTag(8);
        output.WriteEnum((int) Status);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(output);
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalWriteTo(ref pb::WriteContext output) {
      if (Status != global::SetChargingProfile.SetChargingProfileCommandResponse.Types.ChargingProfileStatus.Accepted) {
        output.WriteRawTag(8);
        output.WriteEnum((int) Status);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(ref output);
      }
    }
    #endif

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public int CalculateSize() {
      int size = 0;
      if (Status != global::SetChargingProfile.SetChargingProfileCommandResponse.Types.ChargingProfileStatus.Accepted) {
        size += 1 + pb::CodedOutputStream.ComputeEnumSize((int) Status);
      }
      if (_unknownFields != null) {
        size += _unknownFields.CalculateSize();
      }
      return size;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(SetChargingProfileCommandResponse other) {
      if (other == null) {
        return;
      }
      if (other.Status != global::SetChargingProfile.SetChargingProfileCommandResponse.Types.ChargingProfileStatus.Accepted) {
        Status = other.Status;
      }
      _unknownFields = pb::UnknownFieldSet.MergeFrom(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(pb::CodedInputStream input) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      input.ReadRawMessage(this);
    #else
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, input);
            break;
          case 8: {
            Status = (global::SetChargingProfile.SetChargingProfileCommandResponse.Types.ChargingProfileStatus) input.ReadEnum();
            break;
          }
        }
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalMergeFrom(ref pb::ParseContext input) {
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, ref input);
            break;
          case 8: {
            Status = (global::SetChargingProfile.SetChargingProfileCommandResponse.Types.ChargingProfileStatus) input.ReadEnum();
            break;
          }
        }
      }
    }
    #endif

    #region Nested types
    /// <summary>Container for nested types declared in the SetChargingProfileCommandResponse message type.</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static partial class Types {
      public enum ChargingProfileStatus {
        [pbr::OriginalName("Accepted")] Accepted = 0,
        [pbr::OriginalName("Rejected")] Rejected = 1,
        [pbr::OriginalName("NotSupported")] NotSupported = 2,
      }

    }
    #endregion

  }

  #endregion

}

#endregion Designer generated code
